Ignite Realtime Blog: Openfire Message of the Day (MotD) plugin version 1.2.3 released
Earlier today, version 1.2.3 of the Openfire Message of the Day plugin was released. This version adds a German translation to the admin console (thank you, Stephan Trzonnek, for providing the translation)!
The updated plugin should become available for download in your Openfire admin console in the course of the next few hours. Alternatively, you can download the plugin dir … ⌘ Read more
🧮 Users: 2, Feeds: 6, Twts: 936, Archived: 686278, Cache: 119023, Followers: 29, and Following: 699.
🧮 USERS:1 FEEDS:2 TWTS:196 ARCHIVED:30325 CACHE:1552 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 933, Archived: 682703, Cache: 118115, Followers: 29, and Following: 699.
🧮 USERS:1 FEEDS:2 TWTS:195 ARCHIVED:30311 CACHE:1558 FOLLOWERS:13 FOLLOWING:14
Ron Gilbert returns to Monkey Island! New game coming this year!
The original creator of Monkey Island 1 & 2 makes his triumphant return to the series. ⌘ Read more
🧮 Users: 2, Feeds: 6, Twts: 932, Archived: 679348, Cache: 119465, Followers: 29, and Following: 699.
🧮 USERS:1 FEEDS:2 TWTS:194 ARCHIVED:30292 CACHE:1550 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 931, Archived: 676007, Cache: 118316, Followers: 29, and Following: 699.
🧮 USERS:1 FEEDS:2 TWTS:193 ARCHIVED:29767 CACHE:1552 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 930, Archived: 673292, Cache: 115938, Followers: 29, and Following: 699.
🧮 USERS:1 FEEDS:2 TWTS:192 ARCHIVED:29750 CACHE:1552 FOLLOWERS:13 FOLLOWING:14
hey @xuu@txt.sour.is i’m trying to sort of get running your keyproofs thing on my hashbang’s site root, but I get this:
Apr 01 02:55:25 de1 sour.is-keyproofs[9084]: 2:55AM ERR home/novaburst/keyproofs/main.go:73 > Application Failed error=": missing jid"
🧮 Users: 2, Feeds: 6, Twts: 929, Archived: 669902, Cache: 117249, Followers: 29, and Following: 699.
🧮 USERS:1 FEEDS:2 TWTS:191 ARCHIVED:29712 CACHE:1558 FOLLOWERS:13 FOLLOWING:14
/g/ [~subset] re: excel 2.0 ⌘ Read more
🧮 Users: 2, Feeds: 6, Twts: 927, Archived: 666262, Cache: 119509, Followers: 29, and Following: 698.
🧮 USERS:1 FEEDS:2 TWTS:190 ARCHIVED:29679 CACHE:1557 FOLLOWERS:13 FOLLOWING:14
you heard of Différance, now get ready for Différance 2: Convergance
🧮 Users: 2, Feeds: 6, Twts: 926, Archived: 662029, Cache: 122787, Followers: 29, and Following: 696.
🧮 USERS:1 FEEDS:2 TWTS:189 ARCHIVED:29666 CACHE:1566 FOLLOWERS:13 FOLLOWING:14
Rejected Question Categories
⌘ Read more
New Book of Nerdy Satire: “The Lunduke Journal Quarterly - Volume 2”
Because you can never have too many jokes about Linux. ⌘ Read more
🧮 Users: 2, Feeds: 6, Twts: 925, Archived: 658279, Cache: 123584, Followers: 29, and Following: 696.
🧮 USERS:1 FEEDS:2 TWTS:188 ARCHIVED:29630 CACHE:1557 FOLLOWERS:13 FOLLOWING:14
what’s a bijection between ℝ and ℝ^2?
🧮 Users: 2, Feeds: 6, Twts: 923, Archived: 654725, Cache: 122307, Followers: 29, and Following: 696.
🧮 USERS:1 FEEDS:2 TWTS:187 ARCHIVED:29586 CACHE:1571 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 922, Archived: 651978, Cache: 122151, Followers: 29, and Following: 695.
🧮 USERS:1 FEEDS:2 TWTS:186 ARCHIVED:29536 CACHE:1571 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 921, Archived: 649170, Cache: 123557, Followers: 29, and Following: 695.
🧮 USERS:1 FEEDS:2 TWTS:185 ARCHIVED:29504 CACHE:1591 FOLLOWERS:13 FOLLOWING:14
Unlock all the GitHub secrets within Next.Tech’s newest experience: Break the Code 2!
GitHub Education is fired up for the return of Next.Tech’s developer community competition: Break the Code 2. We’ve hacked in some new enigmas, cheat codes, and easter eggs for digital sleuths to uncover! ⌘ Read more
🧮 Users: 2, Feeds: 6, Twts: 920, Archived: 645502, Cache: 121850, Followers: 29, and Following: 695.
🧮 USERS:1 FEEDS:2 TWTS:184 ARCHIVED:29479 CACHE:1597 FOLLOWERS:13 FOLLOWING:14
Ignite Realtime Blog: GoJara plugin for Openfire version 2.2.3 release
The Ignite Realtime community is happy to announce the immediate availability of a maintenance release of the GoJara plugin for Openfire. GoJara provides an implementation of XEP-0321 “Remote Roster Management” and helps out with monitoring Spectrum 2.
Your Openfire instance should automatically display the availability of the update. Al … ⌘ Read more
🧮 Users: 2, Feeds: 6, Twts: 919, Archived: 641513, Cache: 119993, Followers: 29, and Following: 695.
🧮 USERS:1 FEEDS:2 TWTS:183 ARCHIVED:29415 CACHE:1598 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 918, Archived: 637600, Cache: 120786, Followers: 29, and Following: 695.
🧮 USERS:1 FEEDS:2 TWTS:182 ARCHIVED:29376 CACHE:1619 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 913, Archived: 633826, Cache: 119776, Followers: 29, and Following: 695.
🧮 USERS:1 FEEDS:2 TWTS:181 ARCHIVED:29313 CACHE:1609 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 912, Archived: 630213, Cache: 119633, Followers: 29, and Following: 695.
🧮 USERS:1 FEEDS:2 TWTS:180 ARCHIVED:29291 CACHE:1613 FOLLOWERS:13 FOLLOWING:14
I am really not looking forward to this 7h flight on Monday, 2 night buses to the airport
🧮 Users: 2, Feeds: 6, Twts: 910, Archived: 627509, Cache: 118365, Followers: 29, and Following: 694.
🧮 USERS:1 FEEDS:2 TWTS:179 ARCHIVED:29261 CACHE:1606 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 909, Archived: 624648, Cache: 118506, Followers: 29, and Following: 694.
🧮 USERS:1 FEEDS:2 TWTS:178 ARCHIVED:29230 CACHE:1606 FOLLOWERS:13 FOLLOWING:14
[47°09′58″S, 126°43′03″W] Raw reading: 0x62343C01, offset +/-2
🧮 Users: 2, Feeds: 6, Twts: 908, Archived: 621137, Cache: 117607, Followers: 29, and Following: 694.
🧮 USERS:1 FEEDS:2 TWTS:177 ARCHIVED:29184 CACHE:1600 FOLLOWERS:13 FOLLOWING:14
[47°09′01″S, 126°43′26″W] Raw reading: 0x62336911, offset +/-2
@novaburst@twt.nfld.uk I doubt there will ever be a 2.0 … It may end up like java and they strip off the 1.
@novaburst@twt.nfld.uk I doubt there will ever be a 2.0 … It may end up like java and they strip off the 1.
🧮 Users: 2, Feeds: 6, Twts: 904, Archived: 617041, Cache: 116360, Followers: 29, and Following: 693.
🧮 USERS:1 FEEDS:2 TWTS:176 ARCHIVED:28545 CACHE:1331 FOLLOWERS:13 FOLLOWING:14
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
🧮 Users: 2, Feeds: 6, Twts: 896, Archived: 612694, Cache: 116796, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:175 ARCHIVED:28444 CACHE:1319 FOLLOWERS:13 FOLLOWING:14
Only 14% of Canadians “strongly approve” of Trudeau’s pandemic response: poll
🧮 Users: 2, Feeds: 6, Twts: 894, Archived: 608801, Cache: 116652, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:174 ARCHIVED:28367 CACHE:1308 FOLLOWERS:13 FOLLOWING:14
B.C. premier John Horgan all insults toward Victoria protests
Nix 2.7.0 released
We’re pleased to announce the availability of Nix 2.7.0. It will be
available from
NixOS - Getting Nix / NixOS.
Here are the release notes:
Nix will now make some helpful suggestions when you mistype something
on the command line. For instance, if you type nix build
nixpkgs#thunderbrd, it will suggest
thunderbird.A number of “default” flake output attributes have been renamed.
These are:defaultPackage.<system></system>→packag ... ⌘ [Read more](https://nixos.org/blog/announcements.html#nix-2.7.0)
🧮 Users: 2, Feeds: 6, Twts: 893, Archived: 605268, Cache: 117237, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:173 ARCHIVED:28300 CACHE:1294 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 890, Archived: 600434, Cache: 115510, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:172 ARCHIVED:28195 CACHE:1267 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 889, Archived: 597820, Cache: 116365, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:171 ARCHIVED:28142 CACHE:1221 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 888, Archived: 594362, Cache: 115687, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:170 ARCHIVED:28094 CACHE:1187 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 887, Archived: 590673, Cache: 120516, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:169 ARCHIVED:28023 CACHE:1275 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 886, Archived: 586766, Cache: 122750, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:168 ARCHIVED:27961 CACHE:1282 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 885, Archived: 582908, Cache: 123830, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:167 ARCHIVED:27885 CACHE:1281 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 884, Archived: 577849, Cache: 117751, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:166 ARCHIVED:27841 CACHE:1284 FOLLOWERS:13 FOLLOWING:14
I Shouldn’t Complain
⌘ Read more
🧮 Users: 2, Feeds: 6, Twts: 883, Archived: 574931, Cache: 118313, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:165 ARCHIVED:27813 CACHE:1281 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 882, Archived: 571821, Cache: 116323, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:164 ARCHIVED:27770 CACHE:1298 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 881, Archived: 568245, Cache: 115806, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:163 ARCHIVED:27722 CACHE:1303 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 880, Archived: 564294, Cache: 116226, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:162 ARCHIVED:27671 CACHE:1300 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 878, Archived: 560167, Cache: 119801, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:161 ARCHIVED:27612 CACHE:1316 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 877, Archived: 556175, Cache: 118013, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:160 ARCHIVED:27548 CACHE:1318 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 876, Archived: 552449, Cache: 117417, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:159 ARCHIVED:27509 CACHE:1335 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 875, Archived: 549094, Cache: 114935, Followers: 29, and Following: 692.
🧮 USERS:1 FEEDS:2 TWTS:158 ARCHIVED:27460 CACHE:1324 FOLLOWERS:13 FOLLOWING:14
🧮 Users: 2, Feeds: 6, Twts: 874, Archived: 546076, Cache: 115553, Followers: 29, and Following: 692.